### Method

# Clapper Queue remove_item

#### Declaration [src]

    void
    clapper_queue_remove_item (
      ClapperQueue* queue,
      ClapperMediaItem* item
    )

#### Description [src]

Removes `ClapperMediaItem` from the queue.

If item either was never in the queue or was removed from it earlier, this function will do nothing, so it is safe to call multiple times if unsure.

#### Parameters

`item`

  Type: `ClapperMediaItem`

  A `ClapperMediaItem`.

  The data is owned by the caller of the method.